### Signal

# WPEWebKit Download::decide-destination

since: 2.0

#### Declaration

    gboolean
    decide_destination (
      WebKitDownload* self,
      gchar* suggested_filename,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after response is received to decide a destination for the download using webkit_download_set_destination(). If this signal is not handled, the file will be downloaded to `G_USER_DIRECTORY_DOWNLOAD` directory using `suggested_filename`.

Since 2.40, you may handle this signal asynchronously by returning `TRUE` without calling webkit_download_set_destination(). This indicates intent to eventually call webkit_download_set_destination(). In this case, the download will not proceed until the destination is set or cancelled with webkit_download_cancel().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.0

#### Parameters

`suggested_filename`

  Type: `gchar*`

  The filename suggested for the download.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event, or `FALSE` to propagate the event further.